//                        Copyright statement                                 //
//  (C) Copyright IBM Corporation, 2001.  All Rights Reserved.                //
//  Notice to U.S. Government Users--Materials Related to Restricted Rights.  //
var NLS = parent.NLS;
var Languages = new Array();
defineLanguages();
var Selected = new Array();
for (i=0;i<NLS.length/2;i++)
{
   language = NLS.substr(i*2,2);
   Languages[language].selection = i;
   Selected[i] = language;
}
function Language(title)
{
   this.title     = title;
   this.selection = -1;
}
function listLanguages()
{
   i = 0;
   for (l in Languages)
   {
      text = '<tr>'
           +   '<td>'
           +     '<input type="checkbox"'
           +           ' name="R'+l+'"'
           +           ' onClick="clickLanguage(\''+l+'\');"'
           +           ( Languages[l].selection>-1
                       ? ' checked'
                       : ''
                       )
           +     '>'
           +     Languages[l].title
           +   '</td>'
           +   '<td></td>'
           +   '<td>'
           +     '<a name="S'+l+'">'
           +     ( (i<Selected.length)
                 ? Languages[Selected[i]].title
                 : ''
                 )
           +     '</a>'
           +   '</td>'
           + '</tr>';
      document.writeln(text);
      i++;
   }
}
function clickLanguage(languageAbbrev)
{
   selectionNumber = Languages[languageAbbrev].selection;
   if (selectionNumber==-1)
   {
      Languages[languageAbbrev].selection = Selected.length;
      Selected[Selected.length] = languageAbbrev;
      parent.NLS += languageAbbrev;
   }
   else
   {
      for (i=selectionNumber;i<Selected.length;i++)
         Selected[i] = Selected[i+1];
      Selected.length = i-1;
      Languages[languageAbbrev].selection = -1;
      parent.NLS = NLS.substring(0,2*selectionNumber)
                 + NLS.substring(2*(selectionNumber+1));
   }
   location.reload();
}
function setLanguages()
{
   parent.parent.NLS = parent.NLS;
   parent.parent.setCookieVariables();
   parent.parent.location.reload();
}
function clearLanguages()
{
   for (l in Languages)
      Languages[l].selection = -1;
   Selected.length= 0;
   parent.NLS = "";
   location.reload();
}
